Name:           kcheckers
Version:        0.8.1
Release:        1%{?dist}
Summary:        Checkers board game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://qcheckers.sourceforge.net/
Source0:        http://downloads.sourceforge.net/qcheckers/%{name}-%{version}.tar.gz
# Desktop file and patches are taken from ALT Linux package
Source1:        kcheckers.desktop
Patch0:         kcheckers-0.8.1-prefix.patch
Patch1:         kcheckers-0.8.1-qt-translator.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  qt4-devel

%description
The Qt version of the classic board game checkers. This game is also
known as draughts.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
qmake-qt4
make %{?_smp_mflags}
lrelease-qt4 i18n/*.ts


%install
rm -rf $RPM_BUILD_ROOT

install -Dp -m 755 %{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}
install -Dp -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
install -Dp -m 644 icons/biglogo.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -p -m 644 i18n/*.qm $RPM_BUILD_ROOT/%{_datadir}/%{name}/
cp -p -r themes $RPM_BUILD_ROOT/%{_datadir}/%{name}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog FAQ README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/%{name}


%changelog
* Sun Mar 08 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.1-1
- Initial package
